RDCode: RDKit::MolCatalogParams Class Reference

# RDKit::MolCatalogParams Class Reference

container for user parameters used to create a mol catalog More...

`#include <MolCatalogParams.h>`

Inheritance diagram for RDKit::MolCatalogParams:

List of all members.

## Public Member Functions
| MolCatalogParams ()
| ~MolCatalogParams ()
| MolCatalogParams (const MolCatalogParams &other)
| copy constructor
| MolCatalogParams (const std::string &pickle)
| construct from a pickle string (serialized representation)
void | toStream (std::ostream &) const
| serializes to the stream
std::string | Serialize () const
| returns a serialized (pickled) form
void | initFromStream (std::istream &ss)
| initialize from a stream containing a pickle
void | initFromString (const std::string &text)
| initialize from a string containing a pickle

## Detailed Description

container for user parameters used to create a mol catalog

Definition at line 15 of file MolCatalogParams.h.

## Constructor & Destructor Documentation

RDKit::MolCatalogParams::MolCatalogParams | ( |  | ) | `[inline]`

Definition at line 18 of file MolCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr.

RDKit::MolCatalogParams::~MolCatalogParams | ( |  | ) |

RDKit::MolCatalogParams::MolCatalogParams | ( | const MolCatalogParams & | other | ) | `[inline]`

copy constructor

Definition at line 25 of file MolCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr.

RDKit::MolCatalogParams::MolCatalogParams | ( | const std::string & | pickle | ) |

construct from a pickle string (serialized representation)

## Member Function Documentation

void RDKit::MolCatalogParams::toStream | ( | std::ostream & |  | ) | const`[virtual]`

serializes to the stream

Implements RDCatalog::CatalogParams.

std::string RDKit::MolCatalogParams::Serialize | ( |  | ) | const`[virtual]`

returns a serialized (pickled) form

Implements RDCatalog::CatalogParams.

void RDKit::MolCatalogParams::initFromStream | ( | std::istream & | ss | ) | `[virtual]`

initialize from a stream containing a pickle

Implements RDCatalog::CatalogParams.

void RDKit::MolCatalogParams::initFromString | ( | const std::string & | text | ) | `[virtual]`

initialize from a string containing a pickle

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- MolCatalogParams.h